VERSION 5.00
Begin VB.Form PMT 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Printer Manager Test"
   ClientHeight    =   1965
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3345
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1965
   ScaleWidth      =   3345
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command1 
      Caption         =   "Set printer as default"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1440
      Width           =   3135
   End
   Begin VB.ListBox List1 
      Height          =   1230
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3135
   End
End
Attribute VB_Name = "PMT"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim Prn As PrinterManager

Private Sub Command1_Click()
Dim PrnDefault As String

PrnDefault = List1.List(List1.ListIndex)

'Set the printer as default
Prn.SetDefaultPrinter PrnDefault

End Sub

Private Sub Form_Load()
Dim PrnList As Variant
Dim PrnDefault As String
Dim i As Integer

Set Prn = New PrinterManager

'Get the list of the available printers
PrnList = Prn.GetPrinters

If IsEmpty(PrnList) Then    'If there are no printers available
    Me.Show
    MsgBox "No printers available.", vbInformation
    Command1.Enabled = False
Else                        'else
    For i = LBound(PrnList) To UBound(PrnList)
        List1.AddItem PrnList(i)
    Next i
End If

'Get the current default printer
PrnDefault = Prn.GetDefaultPrinter

'Select the default printer into the list
For i = 0 To List1.ListCount - 1
    If List1.List(i) = PrnDefault Then
        List1.ListIndex = i
        Exit For
    End If
Next i

End Sub
